coreEngine.Calibration.Distributions

## Class Bin3SkewDist

- java.lang.Object
- - coreEngine.Calibration.Distributions.Distribution
  - - coreEngine.Calibration.Distributions.Bin3SkewDist

- Direct Known Subclasses:
    Bin3SkewNDist

      public class Bin3SkewDist
      extends Distribution

  Author:
    jlake

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `alpha1`
    `private static double` | `ALPHA1_MAX`
    `private static double` | `ALPHA1_MIN`
    `private static double` | `ALPHA1_STEP`
    `java.lang.String` | `alpha2`
    `private static double` | `ALPHA2_MAX`
    `private static double` | `ALPHA2_MIN`
    `private static double` | `ALPHA2_STEP`
    `java.lang.String` | `alpha3`
    `private static double` | `ALPHA3_MAX`
    `private static double` | `ALPHA3_MIN`
    `private static double` | `ALPHA3_STEP`
    `private static float` | `CROSSOVER_PCT`
    `java.lang.String` | `d1Type`
    `java.lang.String` | `d2Type`
    `java.lang.String` | `d3Type`
    `private static float` | `DEFAULT_MUTATE_PCT`
    `private static int` | `MAX_BINARY_VALUE`
    `java.lang.String` | `mu1`
    `private static double` | `MU1_MAX`
    `private static double` | `MU1_MIN`
    `private static double` | `MU1_STEP`
    `java.lang.String` | `mu2`
    `private static double` | `MU2_MAX`
    `private static double` | `MU2_MIN`
    `private static double` | `MU2_STEP`
    `java.lang.String` | `mu3`
    `private static double` | `MU3_MAX`
    `private static double` | `MU3_MIN`
    `private static double` | `MU3_STEP`
    `protected RealDistribution` | `nDist1`
    `protected RealDistribution` | `nDist2`
    `protected RealDistribution` | `nDist3`
    `private static int` | `NUM_BIN_DIGIT`
    `java.lang.String` | `sigma1`
    `private static double` | `SIGMA1_MAX`
    `private static double` | `SIGMA1_MIN`
    `private static double` | `SIGMA1_STEP`
    `java.lang.String` | `sigma2`
    `private static double` | `SIGMA2_MAX`
    `private static double` | `SIGMA2_MIN`
    `private static double` | `SIGMA2_STEP`
    `java.lang.String` | `sigma3`
    `private static double` | `SIGMA3_MAX`
    `private static double` | `SIGMA3_MIN`
    `private static double` | `SIGMA3_STEP`
    `java.lang.String` | `skew1`
    `private static double` | `SKEW1_MAX`
    `private static double` | `SKEW1_MIN`
    `private static double` | `SKEW1_STEP`
    `java.lang.String` | `skew2`
    `private static double` | `SKEW2_MAX`
    `private static double` | `SKEW2_MIN`
    `private static double` | `SKEW2_STEP`
    `java.lang.String` | `skew3`
    `private static double` | `SKEW3_MAX`
    `private static double` | `SKEW3_MIN`
    `private static double` | `SKEW3_STEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bin3SkewDist()`
    `Bin3SkewDist(java.lang.String genes)`
    `Bin3SkewDist(java.lang.String alpha1, java.lang.String alpha2, java.lang.String alpha3, java.lang.String d1Type, java.lang.String mu1, java.lang.String sigma1, java.lang.String skew1, java.lang.String d2Type, java.lang.String mu2, java.lang.String sigma2, java.lang.String skew2, java.lang.String d3Type, java.lang.String mu3, java.lang.String sigma3, java.lang.String skew3)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.String` | `binStringMutate(java.lang.String binString, float mutPct)`
    `Distribution` | `clone()`
    `Distribution[]` | `crossover(Distribution mate)`
    `static double` | `getALPHA1_MAX()`
    `static double` | `getALPHA1_MIN()`
    `double` | `getAlpha1()`
    `static double` | `getALPHA2_MAX()`
    `static double` | `getALPHA2_MIN()`
    `double` | `getAlpha2()`
    `static double` | `getALPHA3_MAX()`
    `static double` | `getALPHA3_MIN()`
    `double` | `getAlpha3()`
    `java.lang.String` | `getConcatBinEncoding()`
    `static float` | `getCROSSOVER_PCT()`
    `static double` | `getMU1_MAX()`
    `static double` | `getMU1_MIN()`
    `double` | `getMu1()`
    `static double` | `getMU2_MAX()`
    `static double` | `getMU2_MIN()`
    `double` | `getMu2()`
    `static double` | `getMU3_MAX()`
    `static double` | `getMU3_MIN()`
    `double` | `getMu3()`
    `static double` | `getSIGMA1_MAX()`
    `static double` | `getSIGMA1_MIN()`
    `double` | `getSigma1()`
    `static double` | `getSIGMA2_MAX()`
    `static double` | `getSIGMA2_MIN()`
    `double` | `getSigma2()`
    `static double` | `getSIGMA3_MAX()`
    `static double` | `getSIGMA3_MIN()`
    `double` | `getSigma3()`
    `static double` | `getSKEW1_MAX()`
    `static double` | `getSKEW1_MIN()`
    `double` | `getSkew1()`
    `static double` | `getSKEW2_MAX()`
    `static double` | `getSKEW2_MIN()`
    `double` | `getSkew2()`
    `static double` | `getSKEW3_MAX()`
    `static double` | `getSKEW3_MIN()`
    `double` | `getSkew3()`
    `float` | `getValue(double period)`
    `float` | `getValue(float period)`
    `float` | `getValue(int period)`
    `void` | `mutate()`
    `void` | `mutate(float mutRate)`
    `void` | `mutate(int paramIdx)`
    `static void` | `setALPHA1_MAX(double ALPHA1_MAX)`
    `static void` | `setALPHA1_MIN(double ALPHA1_MIN)`
    `void` | `setAlpha1(double newAlpha)`
    `static void` | `setALPHA2_MAX(double ALPHA2_MAX)`
    `static void` | `setALPHA2_MIN(double ALPHA2_MIN)`
    `void` | `setAlpha2(double newAlpha)`
    `static void` | `setALPHA3_MAX(double ALPHA3_MAX)`
    `static void` | `setALPHA3_MIN(double ALPHA3_MIN)`
    `void` | `setAlpha3(double newAlpha)`
    `static void` | `setBinaryDigits(int numBinDigits)`
    `static void` | `setCROSSOVER_PCT(float CROSSOVER_PCT)`
    `static void` | `setMU1_MAX(double MU1_MAX)`
    `static void` | `setMU1_MIN(double MU1_MIN)`
    `void` | `setMu1(double newMu1)`
    `static void` | `setMU2_MAX(double MU2_MAX)`
    `static void` | `setMU2_MIN(double MU2_MIN)`
    `void` | `setMu2(double newMu2)`
    `static void` | `setMU3_MAX(double MU3_MAX)`
    `static void` | `setMU3_MIN(double MU3_MIN)`
    `void` | `setMu3(double newMu2)`
    `static void` | `setSIGMA1_MAX(double SIGMA1_MAX)`
    `static void` | `setSIGMA1_MIN(double SIGMA1_MIN)`
    `void` | `setSigma1(double newSigma1)`
    `static void` | `setSIGMA2_MAX(double SIGMA2_MAX)`
    `static void` | `setSIGMA2_MIN(double SIGMA2_MIN)`
    `void` | `setSigma2(double newSigma2)`
    `static void` | `setSIGMA3_MAX(double SIGMA3_MAX)`
    `static void` | `setSIGMA3_MIN(double SIGMA3_MIN)`
    `void` | `setSigma3(double newSigma2)`
    `static void` | `setSKEW1_MAX(double SKEW1_MAX)`
    `static void` | `setSKEW1_MIN(double SKEW1_MIN)`
    `static void` | `setSKEW2_MAX(double SKEW2_MAX)`
    `static void` | `setSKEW2_MIN(double SKEW2_MIN)`
    `static void` | `setSKEW3_MAX(double SKEW3_MAX)`
    `static void` | `setSKEW3_MIN(double SKEW3_MIN)`
    `java.lang.String` | `toString()`
    `private static void` | `updateStaticParams()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### alpha1

          public java.lang.String alpha1

    - #### alpha2

          public java.lang.String alpha2

    - #### alpha3

          public java.lang.String alpha3

    - #### d1Type

          public java.lang.String d1Type

    - #### mu1

          public java.lang.String mu1

    - #### sigma1

          public java.lang.String sigma1

    - #### d2Type

          public java.lang.String d2Type

    - #### mu2

          public java.lang.String mu2

    - #### sigma2

          public java.lang.String sigma2

    - #### d3Type

          public java.lang.String d3Type

    - #### mu3

          public java.lang.String mu3

    - #### sigma3

          public java.lang.String sigma3

    - #### skew1

          public java.lang.String skew1

    - #### skew2

          public java.lang.String skew2

    - #### skew3

          public java.lang.String skew3

    - #### nDist1

          protected RealDistribution nDist1

    - #### nDist2

          protected RealDistribution nDist2

    - #### nDist3

          protected RealDistribution nDist3

    - #### DEFAULT_MUTATE_PCT

          private static final float DEFAULT_MUTATE_PCT

      See Also:
        Constant Field Values

    - #### CROSSOVER_PCT

          private static float CROSSOVER_PCT

    - #### NUM_BIN_DIGIT

          private static int NUM_BIN_DIGIT

    - #### MAX_BINARY_VALUE

          private static int MAX_BINARY_VALUE

    - #### ALPHA1_MIN

          private static double ALPHA1_MIN

    - #### ALPHA1_MAX

          private static double ALPHA1_MAX

    - #### ALPHA1_STEP

          private static double ALPHA1_STEP

    - #### ALPHA2_MIN

          private static double ALPHA2_MIN

    - #### ALPHA2_MAX

          private static double ALPHA2_MAX

    - #### ALPHA2_STEP

          private static double ALPHA2_STEP

    - #### ALPHA3_MIN

          private static double ALPHA3_MIN

    - #### ALPHA3_MAX

          private static double ALPHA3_MAX

    - #### ALPHA3_STEP

          private static double ALPHA3_STEP

    - #### MU1_MIN

          private static double MU1_MIN

    - #### MU1_MAX

          private static double MU1_MAX

    - #### MU1_STEP

          private static double MU1_STEP

    - #### SIGMA1_MIN

          private static double SIGMA1_MIN

    - #### SIGMA1_MAX

          private static double SIGMA1_MAX

    - #### SIGMA1_STEP

          private static double SIGMA1_STEP

    - #### MU2_MIN

          private static double MU2_MIN

    - #### MU2_MAX

          private static double MU2_MAX

    - #### MU2_STEP

          private static double MU2_STEP

    - #### SIGMA2_MIN

          private static double SIGMA2_MIN

    - #### SIGMA2_MAX

          private static double SIGMA2_MAX

    - #### SIGMA2_STEP

          private static double SIGMA2_STEP

    - #### MU3_MIN

          private static double MU3_MIN

    - #### MU3_MAX

          private static double MU3_MAX

    - #### MU3_STEP

          private static double MU3_STEP

    - #### SIGMA3_MIN

          private static double SIGMA3_MIN

    - #### SIGMA3_MAX

          private static double SIGMA3_MAX

    - #### SIGMA3_STEP

          private static double SIGMA3_STEP

    - #### SKEW1_MIN

          private static double SKEW1_MIN

    - #### SKEW1_MAX

          private static double SKEW1_MAX

    - #### SKEW1_STEP

          private static double SKEW1_STEP

    - #### SKEW2_MIN

          private static double SKEW2_MIN

    - #### SKEW2_MAX

          private static double SKEW2_MAX

    - #### SKEW2_STEP

          private static double SKEW2_STEP

    - #### SKEW3_MIN

          private static double SKEW3_MIN

    - #### SKEW3_MAX

          private static double SKEW3_MAX

    - #### SKEW3_STEP

          private static double SKEW3_STEP

  - ### Constructor Detail

    - #### Bin3SkewDist

          public Bin3SkewDist()

    - #### Bin3SkewDist

          public Bin3SkewDist(java.lang.String alpha1,
                              java.lang.String alpha2,
                              java.lang.String alpha3,
                              java.lang.String d1Type,
                              java.lang.String mu1,
                              java.lang.String sigma1,
                              java.lang.String skew1,
                              java.lang.String d2Type,
                              java.lang.String mu2,
                              java.lang.String sigma2,
                              java.lang.String skew2,
                              java.lang.String d3Type,
                              java.lang.String mu3,
                              java.lang.String sigma3,
                              java.lang.String skew3)

    - #### Bin3SkewDist

          public Bin3SkewDist(java.lang.String genes)

  - ### Method Detail

    - #### getConcatBinEncoding

          public java.lang.String getConcatBinEncoding()

    - #### getValue

          public float getValue(int period)

      Specified by:
        `getValue` in class `Distribution`

    - #### getValue

          public float getValue(float period)

      Specified by:
        `getValue` in class `Distribution`

    - #### getValue

          public float getValue(double period)

      Specified by:
        `getValue` in class `Distribution`

    - #### clone

          public Distribution clone()

      Specified by:
        `clone` in class `Distribution`

    - #### mutate

          public void mutate()

      Specified by:
        `mutate` in class `Distribution`

    - #### mutate

          public void mutate(float mutRate)

      Specified by:
        `mutate` in class `Distribution`

    - #### mutate

          public void mutate(int paramIdx)

      Specified by:
        `mutate` in class `Distribution`

    - #### crossover

          public Distribution[] crossover(Distribution mate)

      Specified by:
        `crossover` in class `Distribution`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAlpha1

          public double getAlpha1()

    - #### setAlpha1

          public void setAlpha1(double newAlpha)

    - #### getAlpha2

          public double getAlpha2()

    - #### setAlpha2

          public void setAlpha2(double newAlpha)

    - #### getAlpha3

          public double getAlpha3()

    - #### setAlpha3

          public void setAlpha3(double newAlpha)

    - #### getMu1

          public double getMu1()

    - #### setMu1

          public void setMu1(double newMu1)

    - #### getSigma1

          public double getSigma1()

    - #### setSigma1

          public void setSigma1(double newSigma1)

    - #### getMu2

          public double getMu2()

    - #### setMu2

          public void setMu2(double newMu2)

    - #### getSigma2

          public double getSigma2()

    - #### setSigma2

          public void setSigma2(double newSigma2)

    - #### getMu3

          public double getMu3()

    - #### setMu3

          public void setMu3(double newMu2)

    - #### getSigma3

          public double getSigma3()

    - #### setSigma3

          public void setSigma3(double newSigma2)

    - #### getSkew1

          public double getSkew1()

    - #### getSkew2

          public double getSkew2()

    - #### getSkew3

          public double getSkew3()

    - #### binStringMutate

          private static java.lang.String binStringMutate(java.lang.String binString,
                                                          float mutPct)

    - #### setBinaryDigits

          public static void setBinaryDigits(int numBinDigits)

    - #### updateStaticParams

          private static void updateStaticParams()

    - #### getALPHA1_MIN

          public static double getALPHA1_MIN()

    - #### setALPHA1_MIN

          public static void setALPHA1_MIN(double ALPHA1_MIN)

    - #### getALPHA1_MAX

          public static double getALPHA1_MAX()

    - #### setALPHA1_MAX

          public static void setALPHA1_MAX(double ALPHA1_MAX)

    - #### getALPHA2_MIN

          public static double getALPHA2_MIN()

    - #### setALPHA2_MIN

          public static void setALPHA2_MIN(double ALPHA2_MIN)

    - #### getALPHA2_MAX

          public static double getALPHA2_MAX()

    - #### setALPHA2_MAX

          public static void setALPHA2_MAX(double ALPHA2_MAX)

    - #### getALPHA3_MIN

          public static double getALPHA3_MIN()

    - #### setALPHA3_MIN

          public static void setALPHA3_MIN(double ALPHA3_MIN)

    - #### getALPHA3_MAX

          public static double getALPHA3_MAX()

    - #### setALPHA3_MAX

          public static void setALPHA3_MAX(double ALPHA3_MAX)

    - #### getMU1_MIN

          public static double getMU1_MIN()

    - #### setMU1_MIN

          public static void setMU1_MIN(double MU1_MIN)

    - #### getMU1_MAX

          public static double getMU1_MAX()

    - #### setMU1_MAX

          public static void setMU1_MAX(double MU1_MAX)

    - #### getSIGMA1_MIN

          public static double getSIGMA1_MIN()

    - #### setSIGMA1_MIN

          public static void setSIGMA1_MIN(double SIGMA1_MIN)

    - #### getSIGMA1_MAX

          public static double getSIGMA1_MAX()

    - #### setSIGMA1_MAX

          public static void setSIGMA1_MAX(double SIGMA1_MAX)

    - #### getMU2_MIN

          public static double getMU2_MIN()

    - #### setMU2_MIN

          public static void setMU2_MIN(double MU2_MIN)

    - #### getMU2_MAX

          public static double getMU2_MAX()

    - #### setMU2_MAX

          public static void setMU2_MAX(double MU2_MAX)

    - #### getSIGMA2_MIN

          public static double getSIGMA2_MIN()

    - #### setSIGMA2_MIN

          public static void setSIGMA2_MIN(double SIGMA2_MIN)

    - #### getSIGMA2_MAX

          public static double getSIGMA2_MAX()

    - #### setSIGMA2_MAX

          public static void setSIGMA2_MAX(double SIGMA2_MAX)

    - #### getMU3_MIN

          public static double getMU3_MIN()

    - #### setMU3_MIN

          public static void setMU3_MIN(double MU3_MIN)

    - #### getMU3_MAX

          public static double getMU3_MAX()

    - #### setMU3_MAX

          public static void setMU3_MAX(double MU3_MAX)

    - #### getSIGMA3_MIN

          public static double getSIGMA3_MIN()

    - #### setSIGMA3_MIN

          public static void setSIGMA3_MIN(double SIGMA3_MIN)

    - #### getSIGMA3_MAX

          public static double getSIGMA3_MAX()

    - #### setSIGMA3_MAX

          public static void setSIGMA3_MAX(double SIGMA3_MAX)

    - #### getSKEW1_MIN

          public static double getSKEW1_MIN()

    - #### setSKEW1_MIN

          public static void setSKEW1_MIN(double SKEW1_MIN)

    - #### getSKEW1_MAX

          public static double getSKEW1_MAX()

    - #### setSKEW1_MAX

          public static void setSKEW1_MAX(double SKEW1_MAX)

    - #### getSKEW2_MIN

          public static double getSKEW2_MIN()

    - #### setSKEW2_MIN

          public static void setSKEW2_MIN(double SKEW2_MIN)

    - #### getSKEW2_MAX

          public static double getSKEW2_MAX()

    - #### setSKEW2_MAX

          public static void setSKEW2_MAX(double SKEW2_MAX)

    - #### getSKEW3_MIN

          public static double getSKEW3_MIN()

    - #### setSKEW3_MIN

          public static void setSKEW3_MIN(double SKEW3_MIN)

    - #### getSKEW3_MAX

          public static double getSKEW3_MAX()

    - #### setSKEW3_MAX

          public static void setSKEW3_MAX(double SKEW3_MAX)

    - #### getCROSSOVER_PCT

          public static float getCROSSOVER_PCT()

    - #### setCROSSOVER_PCT

          public static void setCROSSOVER_PCT(float CROSSOVER_PCT)